#
# Conditional build:
%bcond_with	acml	# With ACML version of BLAS instead of NETLIB implementation
#
%define		rel	13
Summary:	Subroutines for solving large scale eigenvalue problems
Summary(pl.UTF-8):	Rozwiązywanie zagadnienia własnego dla dużych macierzy
Name:		arpack
Version:	2.1
Release:	%{rel}%{?with_acml:ACML}
License:	Freely distributable
Group:		Libraries
Source0:	http://www.caam.rice.edu/software/ARPACK/SRC/%{name}96.tar.gz
# Source0-md5:	fffaa970198b285676f4156cebc8626e
Source1:	http://www.caam.rice.edu/software/ARPACK/SRC/patch.tar.gz
# Source1-md5:	14830d758f195f272b8594a493501fa2
Source2:	http://www.caam.rice.edu/software/ARPACK/SRC/ug.ps.gz
# Source2-md5:	79cc51e4812c75873adafcad2185842e
Source3:	http://www.caam.rice.edu/software/ARPACK/SRC/P57_58.ps.gz
# Source3-md5:	b86d77199f989fc438acaf7ac0433e76
Source4:	http://www.caam.rice.edu/software/ARPACK/SRC/P61_62.ps.gz
# Source4-md5:	d116887acb3d61fecf645c2d37d4d517
Patch0:		http://mathema.tician.de/news.tiker.net/files/arpack-arscnd-3.patch.gz
# Patch0-md5:	a9b8224dbd9a033a73034753afb125d4
Patch1:		%{name}-automake_support.patch
Patch2:		%{name}-no_etime.patch
URL:		http://www.caam.rice.edu/software/ARPACK/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libtool	>= 2:1.5
%{!?with_acml:BuildRequires:	lapack-devel}
%{?with_acml:ExclusiveArch:	%{x8664}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ARPACK software is capable of solving large scale symmetric,
nonsymmetric, and generalized eigenproblems from significant
application areas. The software is designed to compute a few (k)
eigenvalues with user specified features such as those of largest real
part or largest magnitude. Storage requirements are on the order of
n*k locations. No auxiliary storage is required. A set of Schur basis
vectors for the desired k-dimensional eigen-space is computed which is
numerically orthogonal to working precision. Numerically accurate
eigenvectors are available on request.

%description -l pl.UTF-8
Rozwiązywanie zagadnienia własnego (symetrycznego, niesymetrycznego,
ogólnego) dla dużych macierzy. Macierz może być dowolna, przy czym
procedury działają szczególnie dobrze w przypadku dużych macierzy
rzadkich bądź macierzy ze znaną strukturą. Biblioteka służy do
obliczenia kilku (k) wartości własnych o zadanych z góry własnościach,
takich jak największa (najmniejsza) część rzeczywista albo największy
(najmniejszy) moduł. Wymagania pamięciowe są rzędu n*k, żadna
dodatkowa pamięć (np. dyskowa) nie jest wymagana.

%package devel
Summary:	ARPACK development files
Summary(pl.UTF-8):	Pliki programistyczne ARPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_acml:Requires:	blas-devel}

%description devel
ARPACK development files.

%description devel -l pl.UTF-8
Pliki programistyczne ARPACK.

%package static
Summary:	Static ARPACK library
Summary(pl.UTF-8):	Statyczna biblioteka ARPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ARPACK library.

%description static -l pl.UTF-8
Statyczna biblioteka ARPACK.

%prep
%setup -q -n ARPACK -b1
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libarpack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libarpack.so.2

%files devel
%defattr(644,root,root,755)
%doc DOCUMENTS/*.doc *.ps.gz
%attr(755,root,root) %{_libdir}/libarpack.so
%{_libdir}/libarpack.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libarpack.a
%changelog
* Thu Jul 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/arpack.git;a=log;h=master

* Thu Jul 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f36cbeb
- release 13 (by relup.sh)

* Sun Mar 18 2018 Jakub Bogusz <qboosh@pld-linux.org> f124474
- rel 12 (rebuild with blas+lapack without .la files)

* Tue Aug 15 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 81d9dfe
- gcc 7.2 rebuild
- release 11 (by relup.sh)

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> d2aaeb1
- relup friendly rel 10

* Sat Feb 28 2015 Jan Rękorajski <baggins@pld-linux.org> f6fc28b
- rel 9

* Mon Oct 31 2011 Kacper Kornet <draenog@pld-linux.org> 347fbb3
- move compressed patch to distfiles

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 4a257fc
- unified %clean section

* Thu Oct 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 3a060c3
- ghost soname symlink

* Mon Nov 02 2009 Kacper Kornet <draenog@pld-linux.org> 0ab4156
- link with external lapack

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a8025ed
- rel 7; add arscnd patch (symbol collision)

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d61896a
- rel 6

* Tue Nov 11 2008 hawk <hawk@pld-linux.org> 608c689
- release 5

* Tue Nov 11 2008 hawk <hawk@pld-linux.org> 41901b0
- release 4

* Wed Mar 12 2008 Elan Ruusamäe <glen@pld-linux.org> 1f114de
- release 4

* Fri Dec 21 2007 Szymon Siwek <sls@pld-linux.org> fb9bad1
- added no_etime.patch

* Fri Dec 21 2007 Szymon Siwek <sls@pld-linux.org> 2bf38e8
- etime_ is not exposed in libgfortran-4.2.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d96d627
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7372531
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> c893270
- unified

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> a431d60
- typo

